Issue2506

classification
Title: ensurepip is reporting an error
Type: Severity: major
Components: Installer Versions: Jython 2.7
Milestone: Jython 2.7.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: docian, jeff.allen
Priority: Keywords:

Created on 2016-06-27.14:54:11 by docian, last changed 2018-11-04.16:44:34 by jeff.allen.

Messages
msg10868 (view) Author: Dan Ocian (docian) Date: 2016-06-27.14:55:37
when i'm running >C:\>jython -m ensurepip
Traceback (most recent call last):
  File "C:\jython2.7.0\Lib\runpy.py", line 161, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "C:\jython2.7.0\Lib\runpy.py", line 72, in _run_code
    exec code in run_globals
  File "C:\jython2.7.0\Lib\ensurepip\__main__.py", line 4, in <module>
    ensurepip._main()
  File "C:\jython2.7.0\Lib\ensurepip\__init__.py", line 220, in _main
    bootstrap(
  File "C:\jython2.7.0\Lib\ensurepip\__init__.py", line 123, in bootstra
    _run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
  File "C:\jython2.7.0\Lib\ensurepip\__init__.py", line 45, in _run_pip
msg10869 (view) Author: Dan Ocian (docian) Date: 2016-06-27.14:56:02
OS Windows 8
msg11708 (view) Author: Jeff Allen (jeff.allen) Date: 2018-02-25.08:12:24
No longer reproducible in 2.7.2a1:
PS 272a1> jython -m ensurepip
Requirement already satisfied: setuptools in c:\jython\2.7.2a1\lib\site-packages
Requirement already satisfied: pip in c:\jython\2.7.2a1\lib\site-packages
PS 272a1>

I'm fairly sure equivalent code runs during installation (and used to be problematic on Windows).
History
Date User Action Args
2018-11-04 16:44:34jeff.allensetstatus: pending -> closed
2018-02-25 08:12:24jeff.allensetstatus: open -> pending
resolution: fixed
messages: + msg11708
nosy: + jeff.allen
milestone: Jython 2.7.0 -> Jython 2.7.2
2016-06-27 14:56:02dociansetmessages: + msg10869
2016-06-27 14:55:37dociansetversions: + Jython 2.7
messages: + msg10868
severity: normal -> major
milestone: Jython 2.7.0
2016-06-27 14:54:48dociansettitle: not -> ensurepip is reporting an error
2016-06-27 14:54:11dociancreate